/* ********************************************************** */
/* ********     Copyright by Jonas Svensson      ************ */
/* ********            960516 -                  ************ */
/* ********         jonass@lysator.liu.se        ************ */
/* ********  http://www.lysator.liu.se/~jonass/  ************ */
/* ********************************************************** */
/* ****  This program is freeware. That is you may copy ***** */
/* ****  and use it free of charge.                     ***** */
/* ****  You are allowed to use parts or all of it in   ***** */
/* ****  your non-commercial programs. Commercial use   ***** */
/* ****  needs permisson from the author.               ***** */
/* ****  Please keep this note here.                    ***** */
/* ****  The author is not responsible for any          ***** */
/* ****  kind of damage caused by this program, you     ***** */
/* ****  use it entirely without guarantee althou the   ***** */
/* ****  the author believes it is correct and will     ***** */
/* ****  not cause any damage.                          ***** */
/* ********************************************************** */

#ifndef BOOL
#define BOOL int
#endif

#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

/* #define DEBUG */

/*  a short example of the inifile: */
/* - cut here -                     */
/* [section1]                       */
/* key1=a short text                */
/* key2=7                           */
/* [section 2]                      */
/* startvalue=3                     */
/* - cut here -                     */
/* sectionnames must have the [ as the first char of line    */
/* keyname must begin first on the line                      */
/* that is no spaces before either sectionnames nor keynames */
/* sectionnames and keyname may contain spaces but no equal sign, */
/* no leading or trailing spaces */

/* leading spaces on value will be discarded */

/* reading an alphanumeric value as an numeric gives undefined result */
/* but usually it gives zero or if the first characters is numeric it will give  */
/* the value of them */

/* Functions without filename reads/writes to this filename */
#define USERS_SYSTEM_FILENAME "~/.general.ini"

/* maximum line length including keyname, equalsign and linebreak */
#define INI_MAX_LINE_LENGTH 200

int GetPrivateProfileInt(char *SectionName, char *KeyName, int DefaultValue, char *FileName);
/*  reads an integer value from key KeyName in section SectionName in file FileName */
/*  if file not found, section not found or key not found returns DefaultValue */

int GetPrivateProfileString(char *SectionName, char *KeyName, char *DefaultValue, char *Buffer, int BufferSize, char *FileName);
/*  reads an string value from key KeyName in section SectionName in file FileName */
/*  value copied to Buffer */
/*  if file not found, section not found or key not found returns DefaultValue (copy) */
/*  integer result is length of the returned string */

int GetProfileInt(char *SectionName, char *KeyName, int DefaultValue);
/* same as GetPrivateProfileInt */

int GetProfileString(char *SectionName, char *KeyName, char *DefaultValue, char *Buffer, int BufferSize, char *FileName);
/* same as GetPrivateProfileString */

BOOL WritePrivateProfileInt(char *SectionName, char *KeyName, int Value, char *FileName);
/* writes integer value to key KeyName in section SectionName in file Filename */
/* if file, section or key is missing it is created */
/* value is written as string and can therefore be read as integer or string later */
/* return value tells if operation was successfull (TRUE/FALSE) */

BOOL WritePrivateProfileString(char *SectionName, char *KeyName, char *Value, char *FileName);
/* same as WritePrivateProfileInt */

BOOL WriteProfileInt(char *SectionName, char *KeyName, int Value);
/* same as WritePrivateProfileInt */

BOOL WriteProfileString(char *SectionName, char *KeyName, char *Value);
/* same as WritePrivateProfileInt */





